<?xml version="1.0" encoding="UTF-8"?>
<widget>
<info>

	<PluginName>Facebook Like</PluginName>
	<PluginVersion>1.1.1</PluginVersion>
	<ApplicationVersion>1.3.9</ApplicationVersion>
	
	<DefaultWidth>350</DefaultWidth>
	<DefaultHeight>100</DefaultHeight>

</info>

<dict>
<item>
	<key>Plugin Name</key>
	<string>Facebook Like</string>
</item>
<item>	
	<key>DefaultWidth</key>
	<integer>350</integer>
</item>
<item>	
	<key>DefaultHeight</key>
	<integer>100</integer>
</item>	
<item>
	<key>HTMLCode</key>
	<string>
<![CDATA[ <iframe src="http://www.facebook.com/plugins/like.php?href={!-plyfbFacebookTestURL-!}&amp;width={!-$WIDTH-!}&amp;layout={!-plyfbFacebookLayout-!}&amp;action={!-plyfbFacebookActionType-!}&amp;show_faces={!-plyfbFacebookShowFriends-!}&amp;share={!-plyfbFacebookShare-!}&amp;height={!-$HEIGHT-!}" scrolling="no" frameborder="0" style="border:none; overflow:hidden; height:{!-$HEIGHT-!}px;" allowTransparency="true"></iframe> ]]>
</string>
</item>

<item>	
<key>HTML Code</key>
	<array>
		<string>facebooklike.html</string>
	</array>
</item>

</dict>


<options>

   
    <option>
    <displayName>Webpage Address</displayName>
    <optionName>plyfbFacebookTestURL</optionName>
    <ControlWidth>250</ControlWidth>
    <defaultValue>http://www.ragesw.com</defaultValue>
    <OnNewLine>TRUE</OnNewLine>
    <optionDescription>Facebook URL</optionDescription>
    <controlType>1</controlType>
    <textFieldMaxLength>0</textFieldMaxLength>
    <Value>**N/A**</Value>
    
    <processingCode><![CDATA[
			
			dim Value, name As String 
			Dim rowText As String
			name=Input("dictVariableName")
			value=Input("dictVariableValue")
			rowText=Input("dictcode")
			
			if value.instr("://") = 0 then
			//add our http://
				value = "http://" + value
			end

			print rowText.Replace("{!-"+name+"-!}",value)

			
			
	]]></processingCode>
    
    </option>
    
   <option>
  		<optionName>plyfbFacebookLayout</optionName>
  		<displayName>Layout:</displayName>
  		<defaultValue>standard</defaultValue>
  		<optionDescription>standard|box_count|button_count|button</optionDescription>
  		<controlType>3</controlType>
  		<ControlWidth>100</ControlWidth>
  		<value>**N/A**</value>
  	</option>
    
    <option>
  		<optionName>plyfbFacebookActionType</optionName>
  		<displayName>Action:</displayName>
  		<defaultValue>like</defaultValue>
  		<optionDescription>like|recommend</optionDescription>
  		<controlType>3</controlType>
  		<ControlWidth>100</ControlWidth>
  		<value>**N/A**</value>
  	</option>
  	
  	 <option>
  		<optionName>plyfbFacebookShowFriends</optionName>
  		<displayName>Show Friends' Face</displayName>
  		<defaultValue>TRUE</defaultValue>
  		<optionDescription>Show thumbnails of friends who have liked this page</optionDescription>
  		<controlType>4</controlType>
  		<ControlWidth>200</ControlWidth>
  		<value>**N/A**</value>
  	</option>
  	
  	  	 <option>
  		<optionName>plyfbFacebookShare</optionName>
  		<displayName>Include Share Button</displayName>
  		<defaultValue>FALSE</defaultValue>
  		<optionDescription>Include a share button</optionDescription>
  		<controlType>4</controlType>
  		<ControlWidth>200</ControlWidth>
  		<value>**N/A**</value>
  	</option>

</options>


</widget>